singleton Material(barstow)
{
   mapTo = "barstow";
    diffuseMap[2] = "vehicles/barstow/barstow_c.dds";
    specularMap[2] = "vehicles/barstow/barstow_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
     specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
    specular[2] = "0.2 0.2 0.2 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lettering)
{
    mapTo = "barstow_lettering";
    diffuseMap[0] = "vehicles/barstow/barstow_lettering_o.dds";
    specularMap[0] = "vehicles/barstow/barstow_lettering_s.dds";
    normalMap[0] = "vehicles/barstow/barstow_lettering_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_lettering_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lettering_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lettering_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(barstow_gauges)
{
    mapTo = "barstow_gauges";
    diffuseMap[1] = "barstow_gauges_d.dds";
    specularMap[1] = "barstow_gauges_s.dds";
    normalMap[1] = "barstow_gauges_n.dds";
    diffuseMap[0] = "barstow_gauges_d.dds";
    specularMap[0] = "barstow_gauges_s.dds";
    normalMap[0] = "barstow_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(barstow_gauges_on)
{
    mapTo = "barstow_gauges_on";
    diffuseMap[1] = "barstow_gauges_d.dds";
    specularMap[1] = "barstow_gauges_s.dds";
    normalMap[1] = "barstow_gauges_n.dds";
    diffuseMap[0] = "barstow_gauges_d.dds";
    specularMap[0] = "barstow_gauges_s.dds";
    normalMap[0] = "barstow_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(barstow_gauges_off)
{
    mapTo = "barstow_gauges_off";
  diffuseMap[1] = "barstow_gauges_d.dds";
    specularMap[1] = "barstow_gauges_s.dds";
    normalMap[1] = "barstow_gauges_n.dds";
    diffuseMap[0] = "barstow_gauges_d.dds";
    specularMap[0] = "barstow_gauges_s.dds";
    normalMap[0] = "barstow_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(barstow_stitches)
{
    mapTo = "barstow_stitches";
    diffuseMap[0] = "vehicles/barstow/barstow_stitches_d.dds";
	specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
	alphaTest = "1";
    alphaRef = "50";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 0.8";
	specular[0] = "0.2 0.2 0.2 1";
};

singleton Material(temp_chrome)
{
    mapTo = "temp_chrome";
    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "0 0 0 0.01";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_engine_v8_d.dds";
    normalMap[1] = "vehicles/barstow/barstow_engine_v8_n.dds";
    normalMap[0] = "vehicles/barstow/barstow_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_engines)
{
    mapTo = "moonhawk_engines";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_engines_d.dds";
    specularMap[1] = "vehicles/moonhawk/moonhawk_engines_s.dds";
    normalMap[1] = "vehicles/moonhawk/moonhawk_engines_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/moonhawk/moonhawk_engines_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_glass)
{
    mapTo = "barstow_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    specularMap[0] = "vehicles/barstow/barstow_glass_s.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_glass_da.dds";
    specularMap[1] = "vehicles/barstow/barstow_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_glass_int)
{
    mapTo = "barstow_glass_int";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    specularMap[0] = "vehicles/barstow/barstow_glass_s.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_glass_da.dds";
    specularMap[1] = "vehicles/barstow/barstow_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_glass_dmg)
{
    mapTo = "barstow_glass_dmg";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(barstow_windshield_dmg)
{
    mapTo = "barstow_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_glass_da.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(barstow_lights)
{
    mapTo = "barstow_lights";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights_on)
{
    mapTo = "barstow_lights_on";
    diffuseMap[2] = "vehicles/barstow/barstow_lights_g.dds";
    specularMap[2] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights_on_intense)
{
    mapTo = "barstow_lights_on_intense";
    diffuseMap[2] = "vehicles/barstow/barstow_lights_g.dds";
    specularMap[2] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights_dmg)
{
    mapTo = "barstow_lights_dmg";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_dmg_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_dmg_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_reverselight)
{
    mapTo = "barstow_reverselight";
};

singleton Material(barstow_signal_L)
{
    mapTo = "barstow_signal_L";
};

singleton Material(barstow_signal_R)
{
    mapTo = "barstow_signal_R";
};

singleton Material(barstow_lowbeam)
{
    mapTo = "barstow_lowbeam";
};

singleton Material(barstow_highbeam)
{
    mapTo = "barstow_highbeam";
};

singleton Material(barstow_taillight_L)
{
    mapTo = "barstow_taillight_L";
};

singleton Material(barstow_taillight_R)
{
    mapTo = "barstow_taillight_R";
};

singleton Material(barstow_brakelight)
{
    mapTo = "barstow_brakelight";
};

singleton Material(barstow_headlight)
{
    mapTo = "barstow_headlight";
};

singleton Material(barstow_decals_red)
{
    mapTo = "barstow_decals_red";
    reflectivityMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 0 0 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 0 0 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_black)
{
    mapTo = "barstow_decals_black";
    reflectivityMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0 0 0 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_white)
{
    mapTo = "barstow_decals_white";
    reflectivityMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 1 1 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_yellow)
{
    mapTo = "barstow_decals_yellow";
    reflectivityMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 0 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 1 0 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_blue)
{
    mapTo = "barstow_decals_blue";
    reflectivityMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0 0 1 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "vehicles/barstow/barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 1 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(bandit_barstow_interior)
{
    mapTo = "bandit_barstow_interior";
    diffuseMap[1] = "vehicles/barstow/barstow_interior_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/barstow/barstow_interior_s.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_interior_n.dds";
    normalMap[1] = "vehicles/barstow/barstow_interior_n.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};
























singleton Material(Bandit)
{
    mapTo = "Bandit";
    diffuseMap[2] = "vehicles/bandit/bandit_c.png";
    specularMap[2] = "vehicles/bandit/bandit_s.png";
    normalMap[2] = "vehicles/bandit/bandit_n.png";
    diffuseMap[1] = "vehicles/bandit/bandit_d.png";
    specularMap[1] = "vehicles/bandit/bandit_s.png";
    normalMap[1] = "vehicles/bandit/bandit_n.png";
    diffuseMap[0] = "vehicles/common/null.png";
    specularMap[0] = "vehicles/common/null.png";
    normalMap[0] = "vehicles/bandit/bandit_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
     specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
    specular[2] = "0.2 0.2 0.2 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BanditInterior)
{
    mapTo = "BanditInterior";
    diffuseMap[1] = "gavrilbanditinterior.png";
    specularMap[1] = "gavrilbanditinterior_s.png";
    normalMap[1] = "gavrilbanditinterior_n.png";

    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};

singleton Material(BanditSteerGT)
{
    mapTo = "BanditSteerGT";
    diffuseMap[1] = "banditsteerGT.png";

    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};

singleton Material(BanditSteer)
{
    mapTo = "BanditSteer";
    diffuseMap[1] = "banditsteer.png";

    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};

singleton Material(Banditglass)
{
    mapTo = "Banditglass";
    diffuseMap[0] = "banditglass.png";

    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(BanditWheelGT)
{
    mapTo = "BanditWheelGT";
    diffuseMap[1] = "banditwheelGT.png";

    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};

singleton Material(BanditWheelX)
{
    mapTo = "BanditWheelX";
    diffuseMap[1] = "banditwheelX.png";

    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};

singleton Material(BanditWheel)
{
    mapTo = "BanditWheel";
    diffuseMap[1] = "banditwheel.png";

    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};







singleton Material(fullsize_glass)
{
   mapTo = "fullsize_glass";
   reflectivityMap[0] = "vehicles/common/glass_base.dds";
   diffuseMap[0] = "vehicles/fullsize/fullsize_glass_d.dds";
   specularMap[0] = "vehicles/fullsize/fullsize_glass_s.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_glass_da.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_glass_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.75";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_taillight)
{
   mapTo = "fullsize_taillight";
};

singleton Material(fullsize_reverselight)
{
   mapTo = "fullsize_reverselight";
};

singleton Material(fullsize_parkinglight)
{
   mapTo = "fullsize_parkinglight";
};

singleton Material(fullsize_lights_on)
{
   mapTo = "fullsize_lights_on";
   diffuseMap[2] = "vehicles/fullsize/fullsize_lights_g.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_lights_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights_on_intense)
{
   mapTo = "fullsize_lights_on_intense";
   diffuseMap[2] = "vehicles/fullsize/fullsize_lights_g.dds";
   specularMap[2] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_lights_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(fullsize_lights_dmg)
{
   mapTo = "fullsize_lights_dmg";
   diffuseMap[1] = "vehicles/fullsize/fullsize_lights_dmg_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_dmg_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fullsize_lights)
{
   mapTo = "fullsize_lights";
   diffuseMap[1] = "vehicles/fullsize/fullsize_lights_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_lights_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_lights_n.dds";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_lights_dirt.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Banditgauges)
{
    mapTo = "Banditgauges";
    diffuseMap[1] = "vehicles/bandit/gavrilbanditgauges_d.dds";
    specularMap[1] = "vehicles/bandit/gavrilbanditgauges_s.dds";
    normalMap[1] = "vehicles/bandit/gavrilbanditgauges_n.dds";
    diffuseMap[0] = "vehicles/bandit/gavrilbanditgauges_d.dds";
    specularMap[0] = "vehicles/bandit/gavrilbanditgauges_s.dds";
    normalMap[0] = "vehicles/bandit/gavrilbanditgauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(Banditgauges_on)
{
    mapTo = "Banditgauges_on";
    diffuseMap[1] = "vehicles/bandit/gavrilbanditgauges_d.dds";
    specularMap[1] = "vehicles/bandit/gavrilbanditgauges_s.dds";
    normalMap[1] = "vehicles/bandit/gavrilbanditgauges_n.dds";
    diffuseMap[0] = "vehicles/bandit/gavrilbanditgauges_d.dds";
    specularMap[0] = "vehicles/bandit/gavrilbanditgauges_s.dds";
    normalMap[0] = "vehicles/bandit/gavrilbanditgauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(Banditgauges_off)
{
    mapTo = "Banditgauges_off";
    diffuseMap[1] = "vehicles/bandit/gavrilbanditgauges_d.dds";
    specularMap[1] = "vehicles/bandit/gavrilbanditgauges_s.dds";
    normalMap[1] = "vehicles/bandit/gavrilbanditgauges_n.dds";
    diffuseMap[0] = "vehicles/bandit/gavrilbanditgauges_d.dds";
    specularMap[0] = "vehicles/bandit/gavrilbanditgauges_s.dds";
    normalMap[0] = "vehicles/bandit/gavrilbanditgauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};